---
apiVersion: project.openshift.io/v1
kind: Project
metadata:
  name: udp-lb-default-ns
  labels:
    kubernetes.io/metadata.name: udp-lb-default-ns
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: udp-lb-default-dep
  namespace: udp-lb-default-ns
  labels:
    app: udp-lb-default-dep
spec:
  replicas: 2
  selector:
    matchLabels:
      app: udp-lb-default-dep
  template:
    metadata:
      labels:
        app: udp-lb-default-dep
    spec:
      securityContext:
        runAsNonRoot: true
        seccompProfile:
          type: RuntimeDefault
      containers:
      - name: udp-test
        securityContext:
          allowPrivilegeEscalation: false
          capabilities:
            drop:
            - ALL
        image: k8s.gcr.io/e2e-test-images/agnhost:2.36
        args:
          - netexec
          - --udp-port=8081
        ports:
        - containerPort: 8081
          protocol: UDP
---
apiVersion: v1
kind: Service
metadata:
  name: udp-lb-default-svc
  namespace: udp-lb-default-ns
  labels:
    app: udp-lb-default-dep
spec:
  ports:
  - port: 8082
    targetPort: 8081
    protocol: UDP
  selector:
    app: udp-lb-default-dep
  type: LoadBalancer

